TRACKER3-EXPORT(1)

NAME
tracker3-export - Export all data from a Tracker database.

SYNOPSIS

tracker3 export [options...] [IRI...]

DESCRIPTION

tracker3 export exports data stored in a Tracker database, in Turtle format. By default all data is exported, if any IRI, only those resources will be printed.

The output is intended to be machine-readable, not human readable. Use a tool such as rapper(1) to convert the data to different formats.

OPTIONS

-g, --show-graphs
    Tracker can separate data into multiple graphs. This feature is used by the filesystem miner to separate different types of content. This flag causes the relevant GRAPH statements to be output along with the data.

        In this mode the output is TriG syntax rather than Turtle, due to
        the extra GRAPH statements. Some tools which understand Turtle do not
        understand TriG.

--2to3
    Helper for migrating data from Tracker 2.x databases. This option takes an argument specifying the scope. Only the “files-starred” argument is available so far.

--keyfile
    Outputs the data in a key file format. Only may be used with --2to3

EXAMPLES

Export all data from Tracker Index and prettify the output using rapper(1).::

    $ tracker3 export -b org.freedesktop.Tracker3.Miner.Files | rapper - -I . -i turtle -o turtle

SEE ALSO

tracker3-import(1), tracker3-sparql(1).